class sickbeard::config inherits sickbeard {
    file { 'sickbeard':
      path => '/etc/default/sickbeard',
      ensure => file,
      mode => 0644,
      owner => 'root',
      group => 'root',
      content => template('sickbeard/sickbeard.erb'),
    }
	
	file { 'sickbeardinit':
		path => '/etc/init.d/sickbeard',
        mode => 0644,
        owner => 'root',
        group => 'root',
		source => "puppet:///modules/sickbeard/init.ubuntu"
	}
	
    file { 'config.ini':
      path => "/home/${mainuser}/.sickbeard/config.ini",
      ensure => file,
      mode => 0644,
      owner => $mainuser,
      group => $mainuser,
      content => template('sickbeard/config.ini.erb'),
	  require => File["/home/${mainuser}/.sickbeard"],
    }
	
    file { "/home/${mainuser}/.sickbeard":
      ensure => directory,
      mode => 0755,
      owner => $mainuser,
      group => $mainuser,
  	  require => File["/home/${mainuser}"],
    }
	
    file { "/home/${mainuser}":
      ensure => directory,
      mode => 0755,
      owner => $mainuser,
      group => $mainuser,
	  require => User[$mainuser]
    }

	user { "${mainuser}":
		name => $mainuser,
		ensure => present,
		home => "/home/${mainuser}",
	}
}